GrailsCentralPublishGradlePlugin (Grails 3.2.3)
Date: 2016-11-10

Package: org.grails.gradle.plugin.publishing

## [Groovy] Class GrailsCentralPublishGradlePlugin

- org.grails.gradle.plugin.publishing.GrailsCentralPublishGradlePlugin

- All Implemented Interfaces and Traits:
    org.gradle.api.Plugin

      class GrailsCentralPublishGradlePlugin

  A plugin to setup publishing to Grails central repo

  Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(org.gradle.api.Project project)`
    `protected java.lang.String` | `getDefaultArtifactType()`
    `protected java.lang.String` | `getDefaultClassifier()`
    `protected java.lang.String` | `getDefaultDescription(org.gradle.api.Project project)`
    `protected java.util.Map<java.lang.String, java.lang.String>` | `getDefaultExtraArtifact(org.gradle.api.Project project)`
    `protected java.lang.String` | `getDefaultGrailsCentralReleaseRepo()`
    `protected java.lang.String` | `getDefaultGrailsCentralSnapshotRepo()`
    `protected java.lang.String` | `getDefaultRepo()`
    `java.lang.String` | `getErrorMessage(java.lang.String missingSetting)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override void apply(org.gradle.api.Project project)

    - #### protected java.lang.String getDefaultArtifactType()

    - #### protected java.lang.String getDefaultClassifier()

    - #### protected java.lang.String getDefaultDescription(org.gradle.api.Project project)

    - #### protected java.util.Map<java.lang.String, java.lang.String> getDefaultExtraArtifact(org.gradle.api.Project project)

    - #### protected java.lang.String getDefaultGrailsCentralReleaseRepo()

    - #### protected java.lang.String getDefaultGrailsCentralSnapshotRepo()

    - #### protected java.lang.String getDefaultRepo()

    - #### java.lang.String getErrorMessage(java.lang.String missingSetting)